4. Prepaid Card Top-Up

POST /api/merchant/top_up

AlipayHK uses this API to send recharge information to the merchant for placing a recharge order for the stored-value card. Merchants need to implement the subsequent recharge logic on their own.

This API call typically occurs in scenarios where:

  • The user select the Top-up amount

Request parameters

requestId string  REQUIRED

An unique request ID (uuid) to identify this API request.

More information:

  • Value range: 64

userId string  

ID of AlipayHK user.

For keys 「openId」 & 「userId」, one of them must have content


openId string  

ID of AlipayHK user.

For keys 「openId」 & 「userId」, one of them must have content

merchantAccountId string  

An unique ID for merchantId


segmentId string  

The operator's merchant sub-ID, used to distinguish different brands under an operator.

businessId string  

A business ID provided by the operator.

mobileNo string  REQUIRED

Mobile number waiting for top-up.

mobileCountryCode string  REQUIRED

Area code for the phone number. e.g. 852

amount string  REQUIRED

Amount of top-up(in cents).

currency string  REQUIRED

A 3-letter ISO 4217 currency code, e.g. HKD

Response parameters

result object  REQUIRED

A metadata object indicates the result of the request.

Show child parameters

acquiringSite string  REQUIRED

Acquiring site

  • aboss
  • ipay

orderInfo string  

Order string for the cashier's counter; must be provided in scenarios where no redirecting to the operator's page.

API Explorer

Request

Request Body

Response

Response Body